<?php
/*
 *  * ******************************************************************
 *
 *    CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *    AUTHOR                         ->        Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 *    CONTACT                        ->        contact@modulesgarden.com
 *
 *   This software is furnished under a license and may be used and copied
 *   only  in  accordance  with  the  terms  of such  license and with the
 *   inclusion of the above copyright notice.  This software  or any other
 *   copies thereof may not be provided or otherwise made available to any
 *   other person.  No title to and  ownership of the  software is  hereby
 *   transferred.
 *
 *  * ******************************************************************
 */

use MGModule\SchlundTech\Addon\Core\App;

if (!defined('DS')) {
    define('DS', DIRECTORY_SEPARATOR);
}

require_once __DIR__.DS.'Loader.php';
new MGModule\SchlundTech\Loader();

/**
 * Addon Configuration
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @return Array
 */
function SchlundTech_config()
{
    return App::config();
    //return MGModule\SchlundTech\Addon\Core\App::config();
}

/**
 * Addon Activation
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @return Array
 */
function SchlundTech_activate()
{
    return MGModule\SchlundTech\Addon\Core\App::activate();
}

/**
 * Addon Deactivation
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @return Array
 */

function SchlundTech_deactivate()
{
    return MGModule\SchlundTech\Addon\Core\App::deactivate();
}

/**
 * Addon Upgrades
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @param array $vars
 */
function SchlundTech_upgrade(/*$vars*/)
{
    return MGModule\SchlundTech\Addon\Core\App::upgrade();
}

/**
 * Addon AdminArea Content/Output
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @param array $vars
 * @return HTML
 */
function SchlundTech_output($vars)
{
    MGModule\SchlundTech\Addon\Core\App::I(false, $vars);
    if (!empty($_REQUEST['json'])) {
        ob_clean();
        header('Content-Type: text/plain');
        echo MGModule\SchlundTech\Addon\Core\App::getJSONAdminPage($_REQUEST, $vars);
        die();
    }

    if (!empty($_REQUEST['customPage'])) {
        ob_clean();
        echo MGModule\SchlundTech\Addon\Core\App::getHTMLAdminCustomPage($_REQUEST, $vars);
        die();
    }
    echo MGModule\SchlundTech\Addon\Core\App::getHTMLAdminPage($_REQUEST, $vars);
}

/**
 * Addon ClientArea Content/Output
 * @author Dariusz Bijoś <dariusz.bi@modulesgarden.com>
 * @since 1.0.0
 * @param array $vars
 * @return HTML
 */
function SchlundTech_clientarea($vars)
{
    if (!empty($_REQUEST['json'])) {
        ob_clean();
        header('Content-Type: text/plain');
        echo \MGModule\SchlundTech\Addon\Core\App::getJSONClientAreaPage($_REQUEST, $vars);
        die();
    }

    return \MGModule\SchlundTech\Addon\Core\App::getHTMLClientAreaPage($_REQUEST, $vars);
}
